php5-extensions failed to install with lastest ports tree

Andres Chavez fluxboxtremist at gmail.com
Sun Dec 12 03:37:02 UTC 2010


Can you specify what exactly UPDATING says about it ?, since i still
recieving the same error after rebuild autoconf and all deps, also php5

2010/12/11 Per olof Ljungmark <peo at intersonic.se>

> On 12/12/10 00:23, Andres Chavez wrote:
> > Hi guys i cant get php5-extensions from the lastest ports tree
> >
> > im using 8.1 release
> >
> > here is the error
> >
> > [root at warzone /usr/ports/lang/php5-extensions]# make install
> > clean
> > ===>   php5-extensions-1.4 depends on file:
> > /usr/local/include/php/main/php.h
> > -
> > found
> > ===>   php5-extensions-1.4 depends on file:
> > /usr/local/lib/php/20090626/ctype.so
> > - not found
> > ===>    Verifying install for /usr/local/lib/php/20090626/ctype.so in
> > /usr/ports
> > /textproc/php5-ctype
> > ===>   php5-ctype-5.3.3_2 depends on file: /usr/local/bin/phpize - found
> > ===>   php5-ctype-5.3.3_2 depends on file: /usr/local/bin/autoconf-2.68 -
> > found
> > ===>  PHPizing for php5-ctype-5.3.3_2
> > Configuring for:
> > PHP Api Version:         20090626
> > Zend Module Api No:      20090626
> > Zend Extension Api No:   220090626
> > autoconf: required version 2.68 not found
> > *** Error code 1
> >
> > Stop in /usr/ports/textproc/php5-ctype.
> > *** Error code 1
> >
> > Stop in /usr/ports/lang/php5-extensions.
> > *** Error code 1
> >
> > Stop in /usr/ports/lang/php5-extensions.
> >
> > Any idea why its failing at /usr/ports/textproc/php5-ctype ?
> >
> > Autoconf seems to be installed right.
> >
>
> I fell into a similar trap a couple of days ago and the solution in my
> case was to
>
> - Rebuild all autoconf related as stated in ports/UPDATING
> - Rebuild php5
>
> hth,
>
> --
> per
>



-- 
*Andrés Chavez
IT System / Network Administrator CPF
FreeBSD Server Administrator
http://www.andreschavez.com.ve*


More information about the freebsd-ports mailing list